Loading...
Searching...
No Matches
casacore::IPosition_global_functions_IPosition_Arithmetic Struct Reference
casa package (libcasa_casa) » Arrays_module

Arithmetic Operations for IPosition's Element by element arithmetic on IPositions. More...

`#include <IPosition.h>`

## Public Member Functions

IPosition | operator+ (const IPosition &left, const IPosition &right)
| Each operation is done on corresponding elements of the IPositions.
IPosition | operator- (const IPosition &left, const IPosition &right)
IPosition | operator* (const IPosition &left, const IPosition &right)
IPosition | operator/ (const IPosition &left, const IPosition &right)
IPosition | operator+ (const IPosition &left, ssize_t val)
| Each operation is done by appliying the integer argument to all elements of the IPosition argument.
IPosition | operator- (const IPosition &left, ssize_t val)
IPosition | operator* (const IPosition &left, ssize_t val)
IPosition | operator/ (const IPosition &left, ssize_t val)
IPosition | operator+ (ssize_t val, const IPosition &right)
| Same functions as above but with with the int argument on the left side.
IPosition | operator- (ssize_t val, const IPosition &right)
IPosition | operator* (ssize_t val, const IPosition &right)
IPosition | operator/ (ssize_t val, const IPosition &right)
IPosition | max (const IPosition &left, const IPosition &right)
| Returns the element by element minimum or maximum.
IPosition | min (const IPosition &left, const IPosition &right)

## Detailed Description

Arithmetic Operations for IPosition's Element by element arithmetic on IPositions.

Definition at line 456 of file IPosition.h.

## Member Function Documentation

## max()

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::max | ( | const IPosition & | left,
|  | const IPosition & | right )

Returns the element by element minimum or maximum.

## min()

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::min | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator*() [1/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator* | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator*() [2/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator* | ( | const IPosition & | left,
|  | ssize_t | val )

## operator*() [3/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator* | ( | ssize_t | val,
|  | const IPosition & | right )

## operator+() [1/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator+ | ( | const IPosition & | left,
|  | const IPosition & | right )

Each operation is done on corresponding elements of the IPositions.

The two IPositions must have the same number of elements otherwise an exception (ArrayConformanceError) will be thrown.

## operator+() [2/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator+ | ( | const IPosition & | left,
|  | ssize_t | val )

Each operation is done by appliying the integer argument to all elements of the IPosition argument.

## operator+() [3/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator+ | ( | ssize_t | val,
|  | const IPosition & | right )

Same functions as above but with with the int argument on the left side.

## operator-() [1/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator- | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator-() [2/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator- | ( | const IPosition & | left,
|  | ssize_t | val )

## operator-() [3/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator- | ( | ssize_t | val,
|  | const IPosition & | right )

## operator/() [1/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator/ | ( | const IPosition & | left,
|  | const IPosition & | right )

## operator/() [2/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator/ | ( | const IPosition & | left,
|  | ssize_t | val )

## operator/() [3/3]

IPosition casacore::IPosition_global_functions_IPosition_Arithmetic::operator/ | ( | ssize_t | val,
|  | const IPosition & | right )

The documentation for this struct was generated from the following file:

- casa/Arrays/IPosition.h